Package org.apache.bsf.util

# Class DebugLog

java.lang.Object
org.apache.bsf.util.DebugLog

public class DebugLog extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BSF_LOG_L0`
  `static final int`
  `BSF_LOG_L1`
  `static final int`
  `BSF_LOG_L2`
  `static final int`
  `BSF_LOG_L3`
  `static Hashtable`
  `logLevels`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DebugLog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `debugPrint(Object obj, int prio)`
  `static void`
  `debugPrintln(Object obj, int prio)`
  `static PrintStream`
  `getDebugStream()`
  `static int`
  `getLogLevel()`
  `static void`
  `setDebugStream(PrintStream dbgStream)`
  `static void`
  `setLogLevel(int loglvl)`
  `static void`
  `stderrPrint(Object obj, int prio)`
  `static void`
  `stderrPrintln(Object obj, int prio)`
  `static void`
  `stdoutPrint(Object obj, int prio)`
  `static void`
  `stdoutPrintln(Object obj, int prio)`
  `static void`
  `streamPrint(Object obj, OutputStream ostrm, int prio)`
  `static void`
  `streamPrintln(Object obj, OutputStream ostrm, int prio)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BSF_LOG_L0

    public static final int BSF_LOG_L0
    See Also:
      - Constant Field Values

  - ### BSF_LOG_L1

    public static final int BSF_LOG_L1
    See Also:
      - Constant Field Values

  - ### BSF_LOG_L2

    public static final int BSF_LOG_L2
    See Also:
      - Constant Field Values

  - ### BSF_LOG_L3

    public static final int BSF_LOG_L3
    See Also:
      - Constant Field Values

  - ### logLevels

    public static Hashtable logLevels

- ## Constructor Details

  - ### DebugLog

    public DebugLog()

- ## Method Details

  - ### stdoutPrint

    public static void stdoutPrint(Object obj, int prio)

  - ### stdoutPrintln

    public static void stdoutPrintln(Object obj, int prio)

  - ### stderrPrint

    public static void stderrPrint(Object obj, int prio)

  - ### stderrPrintln

    public static void stderrPrintln(Object obj, int prio)

  - ### debugPrint

    public static void debugPrint(Object obj, int prio)

  - ### debugPrintln

    public static void debugPrintln(Object obj, int prio)

  - ### setDebugStream

    public static void setDebugStream(PrintStream dbgStream)

  - ### getDebugStream

    public static PrintStream getDebugStream()

  - ### setLogLevel

    public static void setLogLevel(int loglvl)

  - ### getLogLevel

    public static int getLogLevel()

  - ### streamPrint

    public static void streamPrint(Object obj, OutputStream ostrm, int prio)

  - ### streamPrintln

    public static void streamPrintln(Object obj, OutputStream ostrm, int prio)